<?php

define( 'TOOL_NAME',    'wwwcheck.php' );
define( 'TOOL_VERSION', '0.42' );

umask( 0070 );
ob_implicit_flush( 0 );
ini_set( 'display_errors', 0 );

$script_name = 'index.php';
$web_dir     = dirname( $_SERVER['SCRIPT_NAME'] ) . '/';
$web_self    = $web_dir . ( ( $script_name === 'index.php' ) ? '' : $script_name );
$self_dir    = dirname( __FILE__ ) . '/';
$data_dir    = $self_dir . 'data/';
$conf_file   = $data_dir . 'config.dat.php';
$cate_file   = $data_dir . 'categories.dat.php';
$count_file  = $data_dir . 'count.dat';
$filter_file = $data_dir . 'filters.dat.php';

define( 'SELF_DIR', $self_dir );
define( 'LIB_DIR',  $self_dir . 'lib/'  );
define( 'VIEW_DIR', $self_dir . 'view/' );
define( 'TEMP_DIR', $data_dir . 'temp/' );
define( 'ITEM_DIR', $data_dir . 'item/' );
define( 'LOG_DIR',  $data_dir . 'log/'  );

require( LIB_DIR . 'data.inc.php' );
require( LIB_DIR . 'item.inc.php' );
require( LIB_DIR . 'baselib/category.inc.php' );
require( LIB_DIR . 'baselib/config.inc.php'   );
require( LIB_DIR . 'baselib/func.inc.php'     );
require( LIB_DIR . 'baselib/encoding.inc.php' );
require( LIB_DIR . 'baselib/validate.inc.php' );
require( LIB_DIR . 'baselib/request.inc.php'  );
require( LIB_DIR . 'baselib/compat.inc.php'   );

define( 'SAVE_HANDLE',  'File' );	// (File|SQLite|PEAR_DB) : data save handler
if ( SAVE_HANDLE === 'PEAR_DB' ) {
	define( 'DSN', 'pgsql://user:pass@unix()/wwwcheck' );
//	define( 'DSN', 'sqlite:///' . ITEM_DIR . 'data.sqlite?mode=0606' );
}

// prepare configuration object
$conf =& Config::getInstance( $conf_file );
if ( ! is_object( $conf ) ) {
	// first access : setting default values
	include( $self_dir . 'misc/default_setting.inc.php' );
}

// count and go URI.
if ( isset( $_GET['go'] ) ) {
	Item::redirect( $_GET['go'] );
}

// prepare encodings object
$mb_encoding   = $conf->get( 'mb_encoding',   'uni' );
$mb_enc_order  = $conf->get( 'mb_enc_order',  'ASCII, JIS, UTF-8, EUC-JP, eucJP-win, SJIS, SJIS-win, ISO-8859-1' );
$mb_output_enc = $conf->get( 'mb_output_enc', 'UTF-8' );
$enc =& Encodings::getInstance( $mb_encoding, $mb_enc_order );
$enc->setOutputEncoding( $mb_output_enc );

// prepare categories object
$cate =& Category::getInstance( $cate_file );

// replace PHP_SELF
$serv =& Request::getInstance( '_SERVER', $_SERVER );
$serv->set( 'PHP_SELF', $web_self );

?>
