<?php

class Category
{
	var $categories_file;
	var $categories;

	function Category( $file )
	{
		$categories = loadConfig( $file );

		$this->categories = is_array( $categories ) ? array_filter( $categories ) : array();
		$this->categories_file = $file;
	}

	function &getInstance( $file = '' )
	{
		static $instance = NULL;

		if ( $instance === NULL ) {
			$instance = new Category( $file );
		}
		return $instance;
	}

	function addCategory( $name )
	{
		$this->categories = is_file( $this->categories_file ) ? loadConfig( $this->categories_file ) : array();

		if ( $name === FALSE || $name === '' || in_array( $name, $this->categories ) ) {
			return FALSE;
		}
		$this->categories[] = $name;

		return $this->save();
	}

	function alterCategory( $id, $name )
	{
		$this->categories = loadConfig( $this->categories_file );

		if ( ! isset( $this->categories[$id] ) ) {
			return FALSE;
		}
		if ( in_array( $name, $this->categories ) ) {
			return FALSE;
		}
		$this->categories[$id] = $name;

		return $this->save();
	}

	function delCategory( $id )
	{
		$this->categories = loadConfig( $this->categories_file );

		if ( $id === FALSE || ! isset( $this->categories[$id] ) ) {
			return FALSE;
		}
		$this->categories[$id] = FALSE;
		return $this->save();
	}

	function upCategory( $id )
	{
		$this->categories = loadConfig( $this->categories_file );
		$arr = array_keys( $this->categories );
		$cur = array_search( $id, $arr );

		$i = $cur;
		while ( --$i >= 0 ) {
			if ( $this->categories[ $arr[$i] ] !== FALSE ) {
				$tmp = $arr[$i];
				$arr[$i] = $arr[$cur];
				$arr[$cur] = $tmp;

				$arr = array_flip( $arr );
				foreach ( $arr as $key => $val ) {
					$arr[$key] = $this->categories[$key];
				}
				$this->categories = $arr;
				return $this->save();
			}
		}
		return FALSE;
	}

	function downCategory( $id )
	{
		$this->categories = loadConfig( $this->categories_file );
		$arr = array_keys( $this->categories );
		$cnt = count( $arr );
		$cur = array_search( $id, $arr );

		$i = $cur;
		while ( ++$i < $cnt ) {
			if ( $this->categories[ $arr[$i] ] !== FALSE ) {
				$tmp = $arr[$i];
				$arr[$i]  = $arr[$cur];
				$arr[$cur] = $tmp;

				$arr = array_flip( $arr );
				foreach ( $arr as $key => $val ) {
					$arr[$key] = $this->categories[$key];
				}
				$this->categories = $arr;
				return $this->save();
			}
		}
		return FALSE;
	}

	function get( $id = NULL )
	{
		if ( $id === NULL ) {
			return $this->categories;
		}
		if ( isset( $this->categories[$id] ) ) {
			return $this->categories[$id];
		}
		return FALSE;
	}

	function save()
	{
		return saveConfig( $this->categories_file, $this->categories );
	}
}

?>
