<?php

if ( ! extension_loaded( 'mbstring' ) ) {

	if ( ! function_exists( 'mb_strlen' ) ) {
		function mb_strlen( $str, $encoding = '' )
		{
			return strlen( $str );
		}
	}

	if ( ! function_exists( 'mb_strwidth' ) ) {
		function mb_strwidth( $str, $encoding = '' )
		{
			return strlen( $str );
		}
	}

	if ( ! function_exists( 'mb_strimwidth' ) ) {
		function mb_strimwidth( $str, $start, $width, $marker = '', $encoding = '' )
		{
			if ( strlen( $str ) <= (int)$width - (int)$start ) {
				$marker = '';
			}
			$width -= strlen( $marker );
			return substr( $str, (int)$start, (int)$width ) . $marker;
		}
	}

	if ( ! function_exists( 'mb_strcut' ) ) {
		function mb_strcut( $str, $start, $length = FALSE, $encoding = '' )
		{
			if ( $length === FALSE ) {
				return substr( $str, (int)$start );
			}
			return substr( $str, (int)$start, $length );
		}
	}

	if ( ! function_exists( 'mb_substr' ) ) {
		function mb_substr( $str, $start, $length = FALSE, $encoding = '' )
		{
			return mb_strcut( $str, $start, $length );
		}
	}
}

// for PHP for Win32
if ( ! function_exists( 'is_executable' ) ) {

	function is_executable( $file )
	{
		return is_file( $file );
	}
}

if ( version_compare( PHP_VERSION, '4.3.0', '>=' ) ) {
	return;
}

if ( ! isset( $_SERVER ) ) { $_SERVER = $HTTP_SERVER_VARS; }
if ( ! isset( $_GET    ) ) { $_GET    = $HTTP_GET_VARS;    }
if ( ! isset( $_POST   ) ) { $_POST   = $HTTP_POST_VARS;   }

if ( ! isset( $_SERVER['PHP_SELF'] ) ) {
	$_SERVER['PHP_SELF'] = '-';
}

if ( ! function_exists( 'glob' ) ) {

	function glob( $pattern )
	{
		$path = pathinfo( $pattern );
		$pattern = '^' . str_replace( array( '*', '?' ), array( '(.+)', '(.)' ), $path['basename'] . '$' );
		$dir = opendir( $path['dirname'] );
		while ( $file = readdir( $dir ) ) {
			if ( ereg( $pattern, $file ) ) {
				$result[] = $path['dirname'] . '/' . $file;
			}
		}
		closedir( $dir );

		return isset( $result ) ? $result : array();
	}
}

if ( ! function_exists( 'file_get_contents' ) ) {

	function file_get_contents( $file )
	{
		if ( ! is_file( $file ) ) {
			return FALSE;
		}
		$fp = @fopen( $file, 'r' );
		if ( $fp ) {
			if ( $size = @filesize( $file ) ) {
				$data = fread( $fp, $size );
			}
			else {
				$data = '';
				while ( ! feof( $fp ) ) {
					$data .= fread( $fp, 1024 );
				}
			}
			fclose( $fp );
		}
		return $data; 
	}
}

if ( ! function_exists( 'stream_set_write_buffer' ) ) {

	function stream_set_write_buffer( $fp, $size )
	{
		return set_file_buffer( $fp, $size );
	}
}

if ( ! function_exists( 'stream_set_blocking' ) ) {

	function stream_set_blocking( $fp, $bool )
	{
		return TRUE;
	}
}

if ( ! function_exists( 'is_a' ) ) {

	function is_a( $object, $class )
	{
		if ( ! is_object( $object ) ) {
			return FALSE;
		}
		if ( get_class( $object ) === strtolower( $class ) ) {
			return TRUE;
		}
		return is_subclass_of( $object, $class );
	}
}

if ( ! function_exists( 'var_export' ) ) {

	// from PEAR:PHP_Compat
	function var_export( $array, $return = FALSE )
	{
		$indent         = '  ';
		$doublearrow    = ' => ';
		$lineend        = ",\n";
		$stringdelim    = '\'';
		$newline        = "\n";

		if ( is_string( $array ) ) {
			$out = $stringdelim . $array . $stringdelim;
		}
		elseif ( is_int( $array ) ) {
			$out = (string)$array;
		}
		else {
			$out = 'array (' . "\n";

			foreach ( $array as $key => $val ) {
				if ( is_string( $key ) ) {
					$key = $stringdelim . $key . $stringdelim;
				}

				if ( is_string( $val ) ) {
					$val = $stringdelim . str_replace( '\'', '\\\'', str_replace( '\\', '\\\\', $val ) ) . $stringdelim;
				}
				elseif ( is_bool( $val ) ) {
					$val = $val ? 'TRUE' : 'FALSE';
				}
				elseif ( is_array( $val ) ) {
					$recur_array  = explode( $newline, var_export( $val, TRUE ) );
					$recur_newarr = array ();
					foreach ( $recur_array as $recur_line ) {
						$recur_newarr[] = $indent . $recur_line;
					}
					$recur_array = implode( $newline, $recur_newarr );
					$val = $newline . $recur_array;
				}

				$out .= $indent . $key . $doublearrow . $val . $lineend;
			}
			$out .= ')';
		}

		if ( $return === TRUE ) {
			return $out;
		}
		echo $out;
		return;
	}
}

?>
