<?php

class Config
{
	var $conf;
	var $file;

	function Config( $file )
	{
		$this->file = $file;
		$this->conf = loadConfig( $file );

		if ( ! is_array( $this->conf ) ) {
			$this->conf = array();
		}
	}

	function &getInstance( $file = '' )
	{
		static $instance = NULL;

		if ( $instance === NULL ) {
			if ( $file && is_readable( $file ) ) {
				$instance = new Config( $file );
			}
		}
		return $instance;
	}

	function get( $key = NULL, $false = FALSE )
	{
		if ( $key === NULL ) {
			return $this->conf;
		}
		if ( isset( $this->conf[$key] ) ) {
			return $this->conf[$key];
		}
		return $false;
	}

	function getConfigFile()
	{
		return $this->file;
	}

	function isAuth()
	{
		$user = $this->get( 'user' );
		$pass = $this->get( 'pass' );
		if ( $user === FALSE && $pass === FALSE ) {
			return TRUE;
		}
		else {
			$serv =& Request::getInstance( '_SERVER', isset( $_SERVER ) ? $_SERVER : FALSE );
			$_user = $serv->get( 'PHP_AUTH_USER' );
			$_pass = $serv->get( 'PHP_AUTH_PW'   );
			if ( $user === $_user && $pass === md5( $_pass ) ) {
				return TRUE;
			}
		}
		return FALSE;
	}

	function save()
	{
		return saveConfig( $this->file, $this->conf );
	}

	function set( $key, $val )
	{
		$this->conf[$key] = $val;

		return TRUE;
	}
}

?>
