<?php

class Ftp extends Http
{
	var $ftp_extention;
	var $ftp_default_user;
	var $ftp_default_pass;

	function Ftp()
	{
		$this->Net();
		$this->ftp_extention    = extension_loaded( 'ftp' );
		$this->ftp_default_user = 'anonymous';
		$this->ftp_default_pass = 'mozilla@example.com';
	}

	function getContents()
	{
		$ftp = $this->checkPathInfo( $this->pathinfo );
		if ( ! $ftp ) {
			return FALSE;
		}
		if ( ! $this->proxy ) {
			$contents = @file_get_contents( $ftp['uri'] );
		}
		else {
			$result = $this->getRequest();
			if ( ! $result ) {
				return FALSE;
			}
			list( $host, $port, $request ) = $result;
			$contents = $this->talk( $host, $port, $request );
		}
		return $contents;
	}

	function parseContents( $text )
	{
		$header = array();
		if ( $this->proxy ) {
			list( $raw_header, $text ) = preg_split( "/\r?\n\r?\n/", $text, 2 );

			$header = $this->parseHeader( $raw_header );
			$result = $this->setStatus( $header['status-code'] );
			if ( ! $result ) {
				return FALSE;
			}
		}
		$this->header = $header;
		$this->html   = $text;
	}

	function checkPathInfo( $pathinfo )
	{
		if ( ! $pathinfo ) {
			$this->status = 'FATAL_ERROR';
			return FALSE;
		}
		$info['scheme'] = 'tcp://';
		$info['host']   = $pathinfo['host'];
		$info['port']   = ! empty( $pathinfo['port']  ) ?  (int)$pathinfo['port']  : 21;
		$info['path']   = ! empty( $pathinfo['path']  ) ?       $pathinfo['path']  : '/';
		$info['path']  .= ! empty( $pathinfo['query'] ) ? '?' . $pathinfo['query'] : '';
		$info['user']   = ! empty( $pathinfo['user']  ) ?       $pathinfo['user']  : $this->ftp_default_user;
		$info['pass']   = ! empty( $pathinfo['pass']  ) ?       $pathinfo['pass']  : $this->ftp_default_pass;

		if ( ! $this->isValidHost( $info['host'] ) ) {
			return FALSE;
		}
		$info['uri'] = 'ftp://' . $info['user'] . ':' . $info['pass'] . '@' . $info['host'] . $info['path'];

		return $info;
	}
}

?>
