<?php

class Https_proxy extends Http
{
	var $user_agent;

	function addHeaders( $headers = array() )
	{
		$this->user_agent = isset( $headers['User-Agent'] ) ? $headers['User-Agent'] : FALSE;
		return TRUE;
	}

	function checkPathInfo( $pathinfo )
	{
		return TRUE;
	}

	function getContents()
	{
		$curl = curl_init();

		curl_setopt( $curl, CURLOPT_URL,  $this->uri );
		curl_setopt( $curl, CURLOPT_HEADER, 1 );

		if ( $this->proxy ) {
			curl_setopt( $curl, CURLOPT_PROXY, $this->proxy );
		}
		if ( $this->user_agent ) {
			curl_setopt( $curl, CURLOPT_USERAGENT, $this->user_agent );
		}

		ob_start();
		curl_exec( $curl );
		$contents = ob_get_contents();
		ob_end_clean();

		curl_close( $curl );

		return $contents;
	}

	function parseContents( $text )
	{
		list( $raw_header, $html ) = preg_split( "/\r?\n\r?\n/", $text, 2 );

		$header = $this->parseHeader( $raw_header );
		$result = $this->setStatus( $header['status-code'] );
		if ( ! $result ) {
			return FALSE;
		}
		$this->header     = $header;
		$this->html       = $html;
		$this->raw_header = preg_replace( "/\r?\n/", "\n", $raw_header );

		return TRUE;
	}
}


?>
