<?php

class Request
{
	var $request;

	function Request( $arr )
	{
		$this->request = sanitize( $arr );
	}

	function &getInstance( $key, $object = NULL )
	{
		static $request = array();
		
		if ( ! isset( $request[$key] ) ) {
			if ( $object === NULL ) {
				return FALSE;
			}
			$result = new Request( $object );
			$request[$key] =& $result;
		}
		else {
			$result =& $request[$key];
		}
		return $result;
	}

	function check( &$check )
	{
		$result = $check->execute( $this->request );
		if ( ! $result ) {
			return $check;
		}
		$this->request = $check->getResult();
	}

	function set( $key, $val )
	{
		$this->request[$key] = $val;

		return TRUE;
	}

	function delete( $key )
	{
		if ( isset( $this->request[$key] ) ) {
			unset( $this->request[$key] );
		}
		return TRUE;
	}

	function get( $key = NULL, $false = FALSE )
	{
		if ( $key === NULL ) {
			return $this->request;
		}
		if ( isset( $this->request[$key] ) ) {
			return $this->request[$key];
		}
		return $false;
	}

	function is_set( $key )
	{
		if ( isset( $this->request[$key] ) ) {
			return TRUE;
		}
		return FALSE;
	}

	function getHtmlRequest( $keys = FALSE )
	{
		$query = '';
		foreach ( $this->request as $key => $val ) {
			if ( $keys !== FALSE && ! isset( $keys[ $key ] ) ) {
				continue;
			}
			$query .= $query ? '&amp;' : '?';
			$query .= htmlspecialchars( $key . '=' . $val );
		}
		return $query;
	}
}

?>
