<?php

class Data
{
	function &getReader( $handler )
	{
		static $reader = NULL;

		if ( $reader === NULL ) {
			$conf =& Config::getInstance();

			$lib  = strtolower( $handler );
			$file = LIB_DIR . 'data/reader_' . $lib . '.inc.php';
			if ( is_file( $file ) ) {
				$datadir = ( $handler === 'PEAR_DB' ) ? DSN : ITEM_DIR;

				require_once( $file );
				$handler = 'DataReader_' . $handler;
				$reader  = new $handler( $datadir );
			}
		}
		return $reader;
	}

	function &getWriter( $handler, $uri )
	{
		static $writer = NULL;

		if ( $writer === NULL ) {
			$conf =& Config::getInstance();

			$lib  = strtolower( $handler );
			$file = LIB_DIR . 'data/writer_' . $lib . '.inc.php';
			if ( is_file( $file ) ) {
				$datadir = ( $handler === 'PEAR_DB' ) ? DSN : ITEM_DIR;

				require_once( $file );
				$handler = 'DataWriter_' . $handler;
				$writer  = new $handler( $datadir, $uri );
			}
		}
		else {
			$writer->setUri( $uri );
		}
		return $writer;
	}
}

?>
