<?php

class DataReader_DB
{
	var $db;
	var $opt;

	function getItems( $uris = '' )
	{
		$get =& Request::getInstance( '_GET' );

		if ( $uris ) {
			$uris  = $this->db->escapeSimple( $uris );
			$table = $this->db->getAll( "SELECT * FROM wwwcheck WHERE uri = '" . $uris . "'" );
		}
		else {
			$where = $this->getWhere();
			$order = $this->getOrder();
			$table = $this->db->getAll( 'SELECT * FROM wwwcheck ' . $where . ' ORDER BY ' . $order );

			$count = $this->db->getOne( 'SELECT count(uri) as count FROM wwwcheck' );
			$get->set( 'cnt', $count );
		}
		if ( DB::isError( $table ) ) {
			return array();
		}
		return $table;
	}

	function getList()
	{
		return array_map(
			create_function( '$a', 'return $a["uri"];' ),
			$this->db->getAll( 'SELECT uri FROM wwwcheck' )
		);
	}

	function getOrder()
	{
		$get  =& Request::getInstance( '_GET' );
		$sort  = $get->get( 'sort' );
		switch ( $sort ) {
		case 'last_modified'  :
		case 'uri'   : 
		case 'size'  : 
		case 'title' :
		case 'count' :
		case 'last_visit' :
			$rev = $get->get( 'rev' );
			break;
		default      :
			$get->set( 'rev',  $rev  = TRUE );
			$get->set( 'sort', $sort = 'last_modified' );
		}
		return $sort . ( $rev ? ( ' DESC' ) : '' );
	}

	function getWhere()
	{
		$get  =& Request::getInstance( '_GET' );
		$conf =& Config::getInstance();
		$auth  = $conf->isAuth();

		$where    = '';
		$category = $get->get( 'cat' );
		$visit    = $get->get( 'vis' );
		$limit    = $get->get( 'lim', 24 );

		// Filtering by category
		if ( $category !== FALSE && $category !== '' ) {
			$where .= 'WHERE category = ' . ( $category === 'No' ? "''" : (int)$category );
		}
		// Display item in limit time.
		if ( $limit ) {
			$where .= ( $where ? " AND" : "WHERE " ) . " last_modified >= " . ( time() - (int)$limit * 3600 );
		}
		// Hide visited page after check time
		if ( $visit ) {
			$where .= ( $where ? " AND" : "WHERE " ) . " last_modified >= last_visit";
		}
		return $where;
	}
}

?>
