<?php

class DataReader_File
{
	var $datadir;

	function DataReader_File( $datadir )
	{
		$this->datadir = $datadir;
	}

	function getItems( $uris = '' )
	{
		$get  =& Request::getInstance( '_GET' );
		$conf =& Config::getInstance();
		$auth  = $conf->isAuth();

		if ( $uris ) {
			$info = loadConfig( $this->datadir . urlencode( $uris ) );
			if ( is_array( $info ) ) {
				$table[] = $info;
			}
		}
		else {
			$uris = $this->getList();
			$get->set( 'cnt', count( $uris ) );

			$table = array_filter( array_map( array( $this, '_getItemInfo' ), $uris ) );
			$this->_sort( $table );
		}
		return $table;
	}

	function getList()
	{
		if ( ! is_dir( $this->datadir ) ) {
			return array();
		}
		$files = array();
		if ( $handle = opendir( $this->datadir ) ) {
			while ( FALSE !== ( $file = readdir( $handle ) ) ) {
				if ( is_readable( $this->datadir . $file ) && Validate::isUri( $uri = urldecode( $file ) ) ) {
					$files[] = $uri;
				}
			}
			closedir( $handle );
		}
		return $files;
	}

	function _getItemInfo( $uri )
	{
		$get =& Request::getInstance( '_GET' );
		$info = loadConfig( $this->datadir . urlencode( $uri ) );
		
		if ( ! is_array( $info ) ) {
			return FALSE;
		}
		// Filtering by category
		$category = $get->get( 'cat', '' );
		if ( $category !== '' && $category !== $info['category'] && ( $category !== 'No' || $info['category'] !== '' ) ) {
			return FALSE;
		}
		// Display item in limit time.
		$limit = $get->get( 'lim', 24 );
		if ( $limit && $info['last_modified'] <= ( time() - (int)$limit * 3600 ) ) {
			return FALSE;
		}
		// Hide visited page after check time
		if ( $get->get( 'vis' ) && $info['last_modified'] <= $info['last_visit'] ) {
			return FALSE;
		}
		return $info;
	}

	function _sort( &$table )
	{
		$get  =& Request::getInstance( '_GET' );
		$sort  = $get->get( 'sort' );
		switch ( $sort ) {
		case 'last_modified'  :
		case 'uri'   : 
		case 'size'  : 
		case 'title' :
		case 'count' :
		case 'last_visit' :
			$rev = $get->get( 'rev' );
			break;
		default      :
			$get->set( 'rev',  $rev  = TRUE );
			$get->set( 'sort', $sort = 'last_modified' );
		}
		usort(
			$table, 
			create_function( '$a, $b', 'return $a["' . $sort . '"] ' . ( $rev ? '<' : '>' ) . ' $b["' . $sort . '"];' )
		);
	}
}

?>
