<?php

class DB
{
	var $connection;
	var $dbname = 'data.sqlite';
	var $error;

	function DB( $dbpath )
	{
		$this->dbname = $dbpath . $this->dbname;

		if ( ! extension_loaded( 'sqlite' ) && ! dl( 'sqlite.so' ) ) {
			$this->error = 'Could not load SQLite module(sqlite.so).';
			return;
		}
		if ( ! is_file( $this->dbname ) ) {
			$this->error = '<p>sqlite database file is not found.</p><p><a href="misc/SQLite/createdb.php">Create SQLite Database</a></p>';
			return;
		}
		$this->connection = sqlite_open( $this->dbname, 0606, $error );
		if ( ! $this->connection ) {
			$this->error = $error;
		}
	}

	function &connect( $dbpath )
	{
		static $instance = NULL;

		if ( $instance === NULL ) {
			$instance = new DB( $dbpath );
		}
		return $instance;
	}

    function affectedRows()
    {
        return sqlite_changes( $this->connection );
    }

	function disconnect()
	{
		$ret = @sqlite_close( $this->connection );
		$this->connection = NULL;
		return $ret;
	}

	// bug ? PHP4 extension : SQLite 1.0.3
	// sqlite_escape_string break integer variable and boolean false.
	function escapeSimple( $str )
	{
		if ( is_int( $str ) ) {
			return $str;
		}
		if ( ! $str && $str !== '0' ) {
			return '';
		}
		return sqlite_escape_string( $str );
	}

	function getAll( $query )
	{
		return sqlite_fetch_all( sqlite_query( $this->connection, $query ), SQLITE_ASSOC );
	}

	function getAssoc( $query )
	{
		return sqlite_fetch_array( sqlite_query( $this->connection, $query ), SQLITE_ASSOC );
	}

	function getMessage()
	{
		return $this->error;
	}

	function getOne( $query )
	{
		return sqlite_fetch_single( sqlite_query( $this->connection, $query ) );
	}

	function isError( $db )
	{
		if ( ! is_object( $db ) ) {
			return FALSE;
		}
		return $db->error ? TRUE : FALSE;
	}

	function query( $query )
	{
		return sqlite_query( $this->connection, $query );
	}
}

?>
