<?php

require_once( 'DB.php' );
require_once( dirname( __FILE__ ) . '/' . 'writer_db.inc.php' );

class DataWriter_PEAR_DB extends DataWriter_DB
{
	var $db;
	var $uri;

	function DataWriter_PEAR_DB( $datadir, $uri )
	{
		$this->db =& DB::connect( $datadir );
		if ( DB::isError( $this->db ) ) {
			exit ( $this->db->getMessage() );
		}
		$this->setUri( $uri );

		$this->db->setFetchMode( DB_FETCHMODE_ASSOC );
	}

	function load()
	{
		$data = $this->loadItem();
		$data = array_shift( $data );
		return $data;
	}

	function escapeArray( $data )
	{
		// against sqlite_escape_string() bug
		if ( $this->db->phptype === 'sqlite' ) {
			$data = array_map( 'addslashes', $data );
		}
		else {
			$data = array_map( array( $this->db, 'escapeSimple' ), $data );
		}
		return $data;
	}
}

?>
