<?php

$path = dirname( __FILE__ ) . '/';

require_once( $path . '../../init.inc.php' );
require_once( LIB_DIR . 'data/sqlite.inc.php' );

class DB_VACUUM extends DB
{
	function &connect( $dbpath )
	{
		static $instance = NULL;

		if ( $instance === NULL ) {
			$instance = new DB_VACUUM( $dbpath );
		}
		return $instance;
	}

	function backup()
	{
		$backup = $this->dbname . '.bak';
		copy( $this->dbname, $backup );
		if ( is_file( $backup ) && function_exists( 'gzencode' ) ) {
			$data = file_get_contents( $backup );
			file_put_contents( $backup . '.gz', gzencode( $data, 9 ) );
			@unlink( $backup );
		}
	}
}

$db =& DB_VACUUM::connect( ITEM_DIR );
if ( DB::isError( $db ) ) {
	exit ( $db->getMessage() );
}
$db->backup();
$db->query( 'VACUUM' );
$db->disconnect();

?>
