<?php

$order_name = array(
	''  => '昇順',
	'1' => '降順',
);

$sort_name = array(
	'last_modified' => '最終更新日時',
	'title'         => 'タイトル',    
	'uri'           => 'URI',         
	'count'         => 'カウント数',  
	'last_visit'    => '最終訪問日時'
);

$limit_time = array(
	0   => '無期限',
	1   => '1時間',
	2   => '2時間',
	4   => '4時間',
	8   => '8時間',
	16  => '16時間',
	24  => '1日',
	48  => '2日',
	96  => '4日',
	168 => '1週間',
	336 => '2週間'
);

?>
<h1><?php echo $page_title ?></h1>

<div class="main">

<div class="menu">
<div class="submenu">
 <h2>カテゴリ</h2>
 <a <?php echo $category === '' ? 'class="selected" ' : '' ?>href="<?php echo $query ?>">全表示</a>
<?php foreach ( $categories as $key => $val ) : ?>
 <a <?php echo $category === (string)$key ? 'class="selected" ' : '' ?>href="<?php echo $query ?>&amp;cat=<?php echo $key ?>"><?php echo $val ?></a>
<?php endforeach ?>
 <a <?php echo $category === 'No' ? 'class="selected" ' : '' ?>href="<?php echo $query ?>&amp;cat=No">未分類</a>
</div>

<div class="submenu">
 <h2>フィルタ</h2>
 <form class="menu_conf" action="<?php echo $self ?>" method="get">
 <div>
 <input type="hidden" name="cat" value="<?php echo $category ?>" />
 <label class="item" accesskey="s">ソート方法 :
 <select name="sort" tabindex="1">
<?php foreach ( $sort_types as $key => $select ) : ?>
  <option class="selectbox" value="<?php echo $key ?>"<?php echo $select ? ' selected="selected"' : '' ?>><?php echo $sort_name[$key] ?></option>
<?php endforeach ?>
 </select>
 </label>
 <label accesskey="o" class="item">
 <select name="rev" tabindex="2">
<?php foreach ( $order as $key => $select ) : ?>
  <option value="<?php echo $key ?>"<?php echo $select ? ' selected="selected"' : '' ?>><?php echo $order_name[$key] ?></option>
<?php endforeach ?>
 </select>
 </label>
 <label class="item" accesskey="d">差分表示 :
  <input type="text" name="size" size="4" tabindex="3" value="<?php echo $diffsize ?>" />文字
 </label>
 <label class="item" accesskey="l">表示期間 :
 <select name="lim" tabindex="4">
<?php foreach ( $limits as $key => $select ) : ?>
  <option value="<?php echo $key ?>"<?php echo $select ? ' selected="selected"' : '' ?>><?php echo $limit_time[$key] ?></option>
<?php endforeach ?>
 </select>
 </label>
<?php if ( $auth ) : ?>
 <label class="item" accesskey="u">訪問後の項目 :
 <select name="vis" tabindex="5">
  <option value="">項目を隠さない</option>
  <option value="1" <?php echo $visit ? 'selected="selected"' : '' ?>>項目を隠す</option>
 </select>
 </label>
<?php endif ?>
 <input class="button" accesskey="k" type="submit" tabindex="6" value="決定" />
 </div>
 </form>
</div>

<div class="conf">
 <h2>設定・更新チェック</h2>
  <div class="checkdate">最終チェック日時 : <span class="date"><?php echo $last_modified ?></span></div>
  <a href="<?php echo $to_config ?>">設定・更新チェック</a>
</div>
</div><!-- /menu -->

<div class="list">

<?php if ( $message ) : ?>
<div class="info"><?php echo $message ?></div>
<?php endif ?>

<?php if ( $items ) : ?>
<ol>
<?php 	foreach ( $items as $item ) : ?>
<li>
<div>
 <span class="date"><?php echo $item['date'] ?></span><?php if ( $auth && $item['flag'] ) : ?> <strong>*</strong> <?php endif ?>

 <a class="link" title="<?php echo $item['title'] ?> へ移動" href="<?php echo $to_link . $item['uri'] ?>&amp;<?php echo $item['lflag'] ?>"><?php echo $item['title'] ?></a>
<?php 		if ( $auth ) : ?>
 <a class="conf" title="<?php echo $item['title'] ?> 設定" href="<?php echo $to_setting . $item['uri'] ?>">[設定]</a>
<?php 			if ( $item['stat'] !== 'OK' && $item['stat'] !== 'Not Modified' ) : ?>
 <code class="opt">[<strong><?php echo $item['stat'] ?></strong>]</code>
<?php 			endif ?>
<?php 		endif ?>
 <span class="opt">
  count:<?php echo $item['count'] ?>
<?php if ( $auth ) : ?> visit:<span class="date"><?php echo $item['last']  ?></span><?php endif ?>
  check:<span class="date"><?php echo $item['check'] ?></span>
 </span>
</div>
<?php 		if ( $item['diff'] ) : ?>
<blockquote class="disp">
<div><?php echo $item['diff'] ?>
<?php 			if ( $item['dflag'] ) : ?>...
 <div>( ...省略されました...
<?php 				if ( $auth ) : ?>
 <strong><a title="<?php echo $item['title'] ?>設定" href="<?php echo $to_setting . $item['uri'] ?>">[設定]</a></strong>
<?php 				endif ?>
 )</div>
<?php 			endif ?>
</div>
</blockquote>
<?php 		endif ?>
</li>
<?php 	endforeach ?>
</ol>
<?php else : ?>
<div class="info">条件に一致する項目がありません。</div>
<?php endif ?>
</div><!-- /list -->

</div><!-- /main -->
