<h1><?php echo $page_title ?> フィルタ設定</h1>

<div class="main">

<div class="menu">
<h2>メニュー</h2>
<a href="<?php echo $top_page ?>">一覧に戻る</a>
<a href="<?php echo $config_page ?>">設定変更</a>
<a href="<?php echo $status_page ?>">ステータス一覧</a>
<a class="selectconf" href="<?php echo $filter_page ?>">フィルタ編集</a>
<?php if ( $view === 'test' ) : ?>
<a href="<?php echo $filter_page  ?>">フィルタ追加</a>
<?php endif ?>
</div>

<div class="list">

<?php if ( $message ) : ?>
<div class="info"><?php echo $message ?></div>
<?php endif ?>

<?php if ( $view !== 'test' ) : ?>
<p>指定した URI にマッチした場合、取得した HTML の中でマッチしたフィルタパターンを削除します。
   適用する URI が空の場合、全てに適用するフィルタになります。
   使用できる正規表現は Perl 互換の正規表現です。正規表現のオプションなどは指定できません。
   正規表現については、
   <a href="http://www.php.net/docs.php">PHP マニュアル</a>の <a href="http://www.php.net/pcre">Perl互換の正規表現関数</a>を
   参考にしてください。</p>

<pre class="set">
例1 : script タグを削除します。 &lt;script[^&lt;&gt;]*?&gt;\s*&lt;!--.*?//--&gt;\s*&lt;/script&gt;
例2 : style  タグを削除します。 &lt;style[^&lt;&gt;]*?&gt;.*?&lt;/style&gt;
</pre>

<div class="set">
<form method="post" action="<?php echo $filter_page ?>">
<div><input type="hidden" name="uniq_id" value="<?php echo $uniq_id ?>" /></div>
<table class="set2" summary="フィルタ追加">
<caption>フィルタの追加</caption>
<tbody>
 <tr><th class="td">適用する URI :</th><td><input class="textbox" type="text" name="uri" value="<?php echo $link ?>" /></td></tr>
 <tr><th class="td">フィルタパターン : </th><td><textarea class="text" rows="4" cols="80" name="pat"></textarea></td></tr>
 <tr><td class="td" colspan="2"><input type="submit" name="addfilter" value="フィルタ追加" /></td></tr>
</tbody>
</table>
</form>
</div>
<?php endif // ( $view !== 'test' ) ?>
<?php if ( $view === 'test' ) : ?>
<div>
<p>テストする HTML の欄に調べたい HTML を入力してください。適用するフィルタにマッチした文字列を表示します。</p>
<form method="post" action="<?php echo $test_page . $uri ?>">
<div><input type="hidden" name="uniq_id" value="<?php echo $uniq_id ?>" /></div>
<div>
<table class="set2" summary="フィルタテスト">
<tbody>
 <tr><th class="td">適用する URI : </th><td><?php echo $uri ? $uri : '全ての URI に適用' ?></td></tr>
 <tr><th class="td">フィルタ : </th>
  <td>
<?php 	foreach ( $apply_filters as $pattern ) : ?>
  <div><code><?php echo $pattern ?></code></div>
<?php 	endforeach ?>
  </td>
 </tr>
 <tr><th class="td">テストする HTML : </th><td><textarea rows="10" cols="80" name="from"><?php echo $from ?></textarea></td></tr>
 <tr><td class="td" colspan="2"><input type="submit" value="テストする" /></td></tr>
</tbody>
</table>
</div>
</form>
<?php 	if ( $test_result ) : ?>
<p>このフィルタによって削除される部分が強調表示されます。</p>
<div class="filter_test">
<code><?php echo $test_result ?></code>
</div>
<?php 	endif // ( $test_result ) ?>

</div>
<?php endif // ( $view === 'test' ) ?>

<h2>登録フィルタ一覧</h2>
<div>
<table class="filter_table" summary="フィルタ設定" cellspacing="0">
<thead>
<tr>
 <th>適用する URI</th>
 <th>フィルタパターン(Perl 互換の正規表現)</th>
 <th>削除</th>
</tr>
</thead>
<tbody>
<?php foreach ( $filters as $arr ) : ?>
<tr>
 <th align="left" rowspan="<?php echo $arr['count'] ?>">
  <div class="conf"><?php if ( $arr['escaped_uri'] ) : ?><?php echo $arr['escaped_uri'] ?><?php else : ?>全てに適用<?php endif ?></div>
  <div class="conf">[<a href="<?php echo $test_page . $arr['encoded_uri'] ?>">テスト</a>]</div>
 </th>
<?php	$n = 0 ?>
<?php 	foreach ( $arr['filters'] as $pattern ) : ?>
<?php 		if ( $n ) : ?><tr>
<?php 		endif ?>
 <td><div class="conf"><code><?php echo $pattern ?></code></div></td>
 <td>
 <form method="post" action="<?php echo $filter_page ?>">
 <div>
  <input type="hidden" name="uniq_id" value="<?php echo $uniq_id ?>" />
  <input type="hidden" name="uri" value="<?php echo $arr['escaped_uri'] ?>" />
  <input type="hidden" name="pat" value="<?php echo $pattern ?>" />
  <input type="submit" name="delfilter" value="削除" />
 </div>
 </form>
 </td>
<?php		$n = 1 ?>
<?php 		if ( $n ) : ?></tr>
<?php 		endif ?>
<?php 	endforeach ?>
<?php endforeach ?>
</tbody>
</table>
</div>
</div>

</div>
