<h1><?php echo $title ?> 設定/詳細 (<?php echo $page_title ?> 設定)</h1>

<div class="main">

<div class="menu">
<div>
<h2>メニュー</h2>
<a href="<?php echo $top_page    ?>">一覧に戻る</a>
<a href="<?php echo $config_page ?>">全体設定</a>
<a href="<?php echo $filter_page ?>">フィルタ編集</a>
</div>
<div>
<h2>差分表示</h2>
<a class="<?php echo $tag ? '' : 'select' ?>conf" href="<?php echo $self_page ?>&amp;tag=0&amp;log=<?php echo $log ?>">HTML タグを除く</a>
<a class="<?php echo $tag ? 'select' : '' ?>conf" href="<?php echo $self_page ?>&amp;tag=1&amp;log=<?php echo $log ?>">HTML タグを含める</a>
</div>
<div>
<h2>HTML表示</h2>
<?php foreach ( $logs as $num => $time ) : ?>
<a class="<?php echo $num === $log ? 'select' : '' ?>conf" href="<?php echo $self_page . '&amp;tag=' . (int)$tag . '&amp;log=' . (int)$num ?>"><?php echo $time . ( $num ? '' : '(最新)' ) ?></a>
<?php endforeach ?>
</div>
<div>
<h2>更新チェック</h2>
<a href="<?php echo $update_exec ?>">更新チェックの実行</a>
</div>
</div>

<div class="list">

<?php if ( $message ) : ?>
<div class="info"><?php echo $message ?></div>
<?php endif ?>

<form action="<?php echo $setting_page ?>" method="post">
<table class="set" summary="<?php echo $title ?> 設定/詳細">
<tbody>
 <tr><th class="td">URI : </th><td><input class="textbox" tabindex="1" type="text" name="to_uri" value="<?php echo $espcape_uri ?>" /></td></tr>
 <tr><th class="td">タイトル : </th><td><input class="textbox" tabindex="2" type="text" name="title" value="<?php echo $title ?>" /></td></tr>
 <tr><th class="td">開く URI : </th><td><input class="textbox" tabindex="3" type="text" name="open_uri" value="<?php echo $open_uri ?>" /></td></tr>
 <tr><th class="td">訪問回数 : </th><td><input class="textbox" tabindex="4" type="text" name="count" value="<?php echo $count ?>" /></td></tr>
 <tr><th class="td">カテゴリ : </th><td><select name="category"><option value="">未分類</option>
<?php foreach ( $categories as $key => $arr ) : ?>
  <option value="<?php echo $key ?>"<?php echo $arr[1] ?>><?php echo $arr[0] ?></option>
<?php endforeach ?></select></td></tr>
 <tr><th class="td">文字コード : </th><td><select name="encoding">
<?php foreach ( $encodings as $encoding => $selected ) : ?>
  <option value="<?php echo $encoding ?>"<?php echo $selected ?>><?php echo $encoding ?></option>
<?php endforeach ?></select> ※文字化けする場合に指定してください。<br />
<?php if ( $charset ) : ?>判定した文字コード(<?php echo $charset ?>)<?php endif ?>
</td></tr>
 <tr><th align="center" colspan="2">
  <input type="hidden" name="uniq_id" value="<?php echo $uniq_id ?>" />
  <input type="hidden" name="setting" value="<?php echo $espcape_uri ?>" />
  <input type="submit" tabindex="5" name="alter" value="変更" />
  &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
  <input type="submit" tabindex="6" name="delete" value="削除" />
 </th>
 </tr>
</tbody>
</table>
</form>

<h2>情報表示</h2>
<table class="set" summary="情報表示">
<tbody>
 <tr><th class="td">ステータス :</th><td><?php echo $status ?></td></tr>
 <tr><th class="td">最終更新日時 :</th><td><span class="date"><?php echo $last_modified ?></span></td></tr>
 <tr><th class="td">最終訪問日時 :</th><td><span class="date"><?php echo $last_visit    ?></span></td></tr>
 <tr><th class="td">チェック日時 :</th><td><span class="date"><?php echo $check_date    ?></span></td></tr>
 <tr><th class="td">サイズ : </th><td><?php echo $size ?></td></tr>
<?php if ( $filters ) : ?>
 <tr><th class="td"><div>フィルタ :</div></th><td>
 <div class="disp">
<?php 	foreach ( $filters as $filter ) : ?>
 <code><?php echo $filter . "\n" ?></code><br />
<?php 	endforeach ?>
 </div>
 </td></tr>
<?php endif ?>
 <tr><th class="td">HTTP Header :</th><td><div class="disp"><code><?php echo $header ?></code></div></td></tr>
</tbody>
</table>

<h2>差分表示 (HTML タグを<?php echo $tag ? '含む' : '除く' ?> )</h2>
<?php foreach ( $diffs as $period => $diff ) : ?>
<div class="opt"><?php echo $period ?>世代前の比較 ( <?php echo $mtime[$period] ?> )</div>
<?php 	if ( $diff ) : ?>
<div class="disp"><?php echo $diff ?></div>
<?php	else : ?>
<div>追加された差分はありません。</div>
<?php 	endif ?>
<?php endforeach ?>

<h2>HTML ソース (<?php echo $logs[$log] ?>)</h2>
<div class="disp">
<?php echo $source ?>
</div>
</div>

</div>
