<?php

$serv =& Request::getInstance( '_SERVER' );

if ( isset( $argv[0] ) && basename( $argv[0] ) === basename( __FILE__ ) ) {
	exit;
}
switch ( strtoupper( substr( PHP_OS, 0, 3 ) ) ) {
case 'WIN' :
case 'CYG' :
	$con_enc = 'SJIS-win';
	break;
default    :
	$charset = strtoupper( $serv->get( 'LANG' ) );
	switch ( TRUE ) {
	case preg_match( '/EUC-?JP/', $charset ) : $con_enc = 'eucJP-win';   break;
	case preg_match( '/SJIS/',    $charset ) : $con_enc = 'SJIS-win';    break;
	case preg_match( '/JIS/' ,    $charset ) : $con_enc = 'ISO-2022-JP'; break;
	case preg_match( '/UTF-?8/',  $charset ) : $con_enc = 'UTF-8';       break;
	default :                                  $con_enc = 'ISO-8859-1';
	}
}

$enc =& Encodings::getInstance();
$enc->setOutputEncoding( $con_enc );

$page_title    = $enc->convertEncoding( $page_title, $con_enc, 'UTF-8' );
$last_modified = $conf->get( 'last-modified' )
	? date( 'Y/m/d H:i:s', $conf->get( 'last-modified' ) )
	: '----/--/-- --:--:--';

echo "Title       : " . $page_title    . "\n";
echo "Last-Update : " . $last_modified . "\n\n";

$len = array( 16, 8, 40, 50 );

printf( "%-" . $len[0] . "s |%" . $len[1] . "s | %-" . $len[2] . "s | %-" . $len[3] . "s\n",
	"Last Modified",
	"Size",
	"Title",
	"URI"
);

printf( "%"  . $len[0] . "s-+%" . $len[1] . "s-+-%"  . $len[2] . "s-+-%"  . $len[3] . "s\n",
	str_repeat( '-', $len[0] ),
	str_repeat( '-', $len[1] ),
	str_repeat( '-', $len[2] ),
	str_repeat( '-', $len[3] )
);

foreach ( $data as $info ) {

	echo ( $info['last_modified'] != -1 ) ? date( "Y/m/d H:i", $info['last_modified'] ) : '';
	echo " |";
	echo str_repeat( ' ', $len[1] - strlen( (string)$info['size'] ) );
	echo (int)$info['size'];
	echo " | ";

	$title = $info['title'];
	$width = mb_strwidth( $title );
	if ( $width > $len[2] ) {
		$title = mb_strimwidth( $title, 0, $len[2], '..' );
		$width = mb_strwidth( $title );
	}
	echo $title;

	$space_len = $len[2] - $width;
	if ( $space_len > 0 ) {
		echo str_repeat( ' ', $space_len );
	}
	echo " | ";

	echo ! empty( $info['open_uri'] ) ? $info['open_uri'] : $info['uri'];
	echo "\n";
}

?>
