<?php

$get  =& Request::getInstance( '_GET' );
$serv =& Request::getInstance( '_SERVER' );

$diffsize = $get->get( 'size' );
if ( $diffsize === FALSE ) {
	$diffcount = $conf->get( 'diff_count' );
	$diffsize  = $diffcount !== FALSE  ? (int)$diffcount : 200;
}
else {
	$diffsize  = (int)$diffsize;
}
$sort_type  = $get->get( 'sort', '' ); 
$visit      = (bool)$get->get( 'vis' );
$reverse    = (bool)$get->get( 'rev', FALSE );
$limit      =  (int)$get->get( 'lim', 24 );
$category   = htmlspecialchars( $get->get( 'cat',  '' ) );

$self       = $serv->get( 'PHP_SELF' );
$to_link    = $self . '?go=';
$to_config  = $self . '?mode=config';
$to_setting = $self . '?mode=setting&amp;uri=';
$query      = $self . '?sort=' . htmlspecialchars( $sort_type )
					. ( $reverse ? '&amp;rev=1' : '' )
					. '&amp;size=' . (int)$diffsize
					. ( $visit   ? '&amp;vis=1' : '' )
					. '&amp;lim='  . (int)$limit;

$page_title = htmlspecialchars( $page_title );
$message    = htmlspecialchars( $message );

$last_modified = $conf->get( 'last-modified' );
if ( $last_modified ) {
	$last_modified = date( "Y/m/d H:i:s", $last_modified );
}

// Categories
$cate =& Category::getInstance();
$categories = array_map( 'htmlspecialchars', $cate->get() );

// Sort Order
$order = array(
	''  => ! $reverse,
	'1' =>   $reverse
);

// Limit Time
$limits = array(
	0   => ( $limit === 0   ),
	1   => ( $limit === 1   ),
	2   => ( $limit === 2   ),
	4   => ( $limit === 4   ),
	8   => ( $limit === 8   ),
	16  => ( $limit === 16  ),
	24  => ( $limit === 24  ),
	48  => ( $limit === 48  ),
	96  => ( $limit === 96  ),
	168 => ( $limit === 168 ),
	336 => ( $limit === 336 ),
);

// Sort Types
$sort_types = array(
	'last_modified' => ( $sort_type === 'last_modified' ),
	'title'         => ( $sort_type === 'title'         ),
	'uri'           => ( $sort_type === 'uri'           ),
	'count'         => ( $sort_type === 'count'         ),
	'last_visit'    => ( $sort_type === 'last_visit'    ),
);

$items = array();
foreach ( $data as $key => $info ) {
	$dflag = FALSE;
	$diff =& $info['diff'];
	if ( ! $diffsize ) {
		$diff  = '';
	}
	else if ( mb_strlen( $diff ) > $diffsize ) {
		$diff  = mb_substr( $diff, 0, $diffsize );
		$dflag = TRUE;
	}
	$last_m = isset( $info['last_modified'] ) ? (int)$info['last_modified'] : 0;
	$last_v = isset( $info['last_visit']    ) ? (int)$info['last_visit']    : 0;
	$last_c = isset( $info['last_check']    ) ? (int)$info['last_check']    : 0;
	$count  = isset( $info['count']         ) ? (int)$info['count']         : 0;
	$status = isset( $info['status']        ) ? $info['status']             : 'OK';

	$items[] = array(
		'title' => htmlspecialchars( $info['title'] ),
		'uri'   => rawurlencode( $info['uri'] ),
		'check' => date( "m/d H:i", $last_c ),
		'lflag' => date( 'mdHi',    $last_m ),
		'flag'  => ( $last_m > $last_v ? TRUE : FALSE ),
		'date'  => ( $last_m ? date( 'Y/m/d H:i:s', $last_m ) : '----/--/-- --:--:--' ),
		'last'  => ( $last_v ? date( 'm/d H:i',     $last_v ) : '--/-- --:--'         ),
		'count' => $count,
		'stat'  => htmlspecialchars( $status ),
		'dflag' => $dflag,
		'diff'  => nl2br( preg_replace( array( '/</', '/>/', '/&(?!#?\w+;)/', '/(&\w+;)/' ), array( '&lt;', '&gt;', '&amp;', '' ), $diff ) ),
	);
}
unset( $data );

?>
