<?php

$conf =& Config::getInstance();
$serv =& Request::getInstance( '_SERVER' );
$get  =& Request::getInstance( '_GET' );

$message      = htmlspecialchars( $message );
$tag          = (bool)$get->get( 'tag', FALSE );
$log          = (int)$get->get( 'log',  FALSE );

$info         = $data[0];
$page_title   = htmlspecialchars( $page_title );
$uri          = isset( $info['uri'] )      ? $info['uri'] : '';
$title        = isset( $info['title'] )    ? htmlspecialchars( $info['title'] )    : '';
$open_uri     = isset( $info['open_uri'] ) ? htmlspecialchars( $info['open_uri'] ) : '';
$status       = isset( $info['status'] )   ? htmlspecialchars( $info['status'] )   : '';
$encoding     = isset( $info['encoding'] ) ? htmlspecialchars( $info['encoding'] ) : '';
$charset      = isset( $info['charset'] )  ? htmlspecialchars( $info['charset'] )  : '';
$count        = isset( $info['count'] )    ? (int)$info['count']                   : '';
$size         = isset( $info['size'] )     ? number_format( $info['size'] ) . " Bytes" : '';

$espcape_uri  = htmlspecialchars( $uri );
$top_page     = $serv->get( 'PHP_SELF' );
$config_page  = $top_page . '?mode=config';
$setting_page = $top_page . '?mode=setting';
$self_page    = $top_page . '?mode=setting&amp;uri=' . urlencode( $uri );
$filter_page  = $top_page . '?mode=filter&amp;link=' . urlencode( $uri );

$logfile      = LOG_DIR . urlencode( $uri );
$viewlog      = ( $log && is_readable( $logfile . '.' . $log ) ) ? $logfile . '.' . $log : $logfile;
if ( $logfile === $viewlog ) {
	$log = 0;
}

$update_exec  = $setting_page . '&amp;update=' . urlencode( $uri );
$last_visit   = ! empty( $info['last_visit'] )
	? date( 'Y/m/d H:i:s', $info['last_visit'] )
	: '----/--/-- --:--:--';

$last_modified = ! empty( $info['last_modified'] ) && $info['last_modified'] != -1
	? date( 'Y/m/d H:i:s', $info['last_modified'] )
	: '----/--/-- --:--:--';

$check_date = ! empty( $info['last_check'] ) && $info['last_check'] != -1
	? date( 'Y/m/d H:i:s', $info['last_check'] )
	: '----/--/-- --:--:--';

// Encodings
$enc =& Encodings::getInstance();
foreach ( $enc->getEncodings() as $encode => $val ) {
	$encodings[ $encode ] = ( $encode === $encoding ) ? ' selected="selected"' : '';
}

// Categories
$cate =& Category::getInstance();
$categories = array();
foreach ( $cate->get() as $key => $val ) {
	$categories[$key] = array(
		htmlspecialchars( $val ),
		( ( (string)$info['category'] === (string)$key ) ? ' selected="selected"' : '' ),
	);
}

// Filters
$fil =& Filters::getInstance();
$pat = $fil->getRawFilters();
$filters = array();
foreach ( $pat as $fil_uri => $pattern ) {
	if ( preg_match( '/' . preg_quote( $fil_uri, '/' ) . '/i', $uri ) ) {
		$filters = array_merge( $filters, $pattern );
	}
}
$filters = array_map( 'htmlspecialchars', $filters );

// HTML Header
$header = nl2br( htmlspecialchars( $info['header'] ) );

// diff
$period  = 0;
$diffs   = array();
$logs[0] = date( 'Y/m/d H:i', filemtime( $logfile ) );
while ( is_readable( $logfile . '.' . ++$period ) ) {
	$new_file = $logfile . ( ( $period > 1 ) ? '.' . ( $period - 1 ) : '' );
	$old_file = $logfile . '.' . $period;
	$periods  = ( ( $period > 1 ) ? ( $period - 1 ) . '-' : '' ) . $period;
	$diffs[$periods] = nl2br( htmlspecialchars( Command::diffFile( $old_file , $new_file, $tag ) ) );
	$mtime[$periods] = date( 'Y/m/d H:i:s', filemtime( $old_file ) ) . " | " . date( 'Y/m/d H:i:s', filemtime( $new_file ) );
	$logs[$period]   = date( 'Y/m/d H:i', filemtime( $old_file ) );
}

// HTML Source
$source = '';
if ( is_readable( $viewlog ) ) {
	$source = nl2br(
		htmlspecialchars(
			preg_replace(
				array( "/\n+/", "/[ \t]+/" ),
				array( "\n",    " " ),
				trim( file_get_contents( $viewlog ) )
			)
		)
	);
}
unset( $info, $config, $key, $val, $logfile, $data );

?>
